package com.cim.idm.wmspackage.productprocessgroup.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class ProductProcessGroup extends FieldAccessor implements DataInfo<ProductProcessGroupKey>{
	private ProductProcessGroupKey key;
	private String contentMaterialType;
	private String processGroupType ;
	private String processGroupState;
	private String oldProcessGroupState;
	private String processGroupJudge;
	private String holdState; 
	private String lastEventName;
	private String lastEventTimeKey ;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private Timestamp createTime; 
	private String createUser;
	private String reasonCodeType;
	private String reasonCode; 
	@Override
	public ProductProcessGroupKey getKey() {
		return key;
	}

	@Override
	public void setKey(ProductProcessGroupKey arg0) {
		this.key=arg0;
		
	}

	public String getContentMaterialType() {
		return contentMaterialType;
	}

	public void setContentMaterialType(String contentMaterialType) {
		this.contentMaterialType = contentMaterialType;
	}

	public String getProcessGroupType() {
		return processGroupType;
	}

	public void setProcessGroupType(String processGroupType) {
		this.processGroupType = processGroupType;
	}

	public String getProcessGroupState() {
		return processGroupState;
	}

	public void setProcessGroupState(String processGroupState) {
		this.processGroupState = processGroupState;
	}

	public String getOldProcessGroupState() {
		return oldProcessGroupState;
	}

	public void setOldProcessGroupState(String oldProcessGroupState) {
		this.oldProcessGroupState = oldProcessGroupState;
	}

	public String getProcessGroupJudge() {
		return processGroupJudge;
	}

	public void setProcessGroupJudge(String processGroupJudge) {
		this.processGroupJudge = processGroupJudge;
	}

	public String getHoldState() {
		return holdState;
	}

	public void setHoldState(String holdState) {
		this.holdState = holdState;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}


	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	
}
